Page MenuHomePhabricator

Trigger run of special set of browsertests on gerrit with a keyword
Closed, DeclinedPublic

Description

We are running a small subset of the Wikibase browser tests on every patch set in gerrit.
We would like to run more browser tests when triggering with a specific keyword like we have with 'recheck'.

This would allow people to run a bigger subset of tests against their patches in the CI without the need to install browser tests on the local machine.
Ideally we have a tag for the tests executed when triggered in gerrit.

Would this be possible? What is needed for this?

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 9 2016, 11:01 AM

@hashar: what do you think?

hashar triaged this task as Medium priority.Sep 26 2016, 11:07 AM

Aren't we already triggering the job mwext-mw-selenium? But I am not sure how well it will play with Wikibase :(

I think the task is about running a subset of tests if you reply to a gerrit commit with a keyword.

Examples:

  • recheck runs all selenium/cucumber tests tagged @integration (already implemented)
  • smoke would run tests tagged @smoke
  • long would run tests tagged @long
  • all would run all tests
  • ...
Tobi_WMDE_SW renamed this task from Run Wikibase browser tests on gerrit triggered with keyword to Trigger run of special set of browsertests on gerrit with a keyword.Mar 9 2017, 3:26 PM
zeljkofilipin lowered the priority of this task from Medium to Low.May 29 2017, 10:30 AM

@hashar can this be done? Or should it be declined?

zeljkofilipin closed this task as Declined.Nov 7 2017, 3:11 PM

Unlikely to ever be resolved because of T139740: Port Selenium tests from Ruby to Node.js.